Sign transaction
This route is for users who would like to maintain their own keys, or otherwise would not like BitGo to decrypt their key, and instead provide it in the clear themselves
Path Params
-
coinstring requiredA cryptocurrency or token ticker symbol.
Body Params
object
-
prvstringuser private key -
txPrebuildobjecttxPrebuild object
-
walletstring -
txHexstringSerialized transaction hex -
txBase64stringSerialized transaction base64 (applies to XLM only) The request must include this or a txHex -
txInfoobjectONE OF
-
changeAddressesarray of strings -
nOutputsintegerNumber of outputs -
nP2SHInputsinteger -
nSegwitInputsinteger -
unspentsarray of objectsunspents object
-
idstringThe id of the unspent in the form:<tx_index> -
addressstringThe address of this unspent -
valueinteger -
valueStringstring -
blockHeightintegerThe block this Unspent was created in -
datestring date-timeThe date this unspent was created -
coinbasebooleanTrue if this unspent came from the coinbase transaction -
walletstring -
fromWalletstring -
chainintegerThe type of this unspent's address (P2SH, P2WSH, etc...) -
indexintegerA monotonic counter used when creating new addresses -
redeemScriptstringThe Script program used to cryptographically verify spending this unspent -
witnessScriptstringThe segwit Script program used to cryptographically verify spending this unspent -
isSegwitboolean
-
-
walletAddressDetailsobjectwalletAddressDetails object
-
idstringplatform public id for an address -
addressstring -
chaininteger enum011011202130314041 -
indexinteger -
coinstring -
lastNonceinteger -
walletstringThe wallet which contains this address -
coinSpecificobjectProperties which are specific to certain coin typescoinSpecific object
-
xlmobjectxlm object
-
memoIdstringLatest memo id generated for the wallet -
rootAddressstringRoot address of the wallet
-
-
txlmobjecttxlm object
-
memoIdstringLatest memo id generated for the wallet -
rootAddressstringRoot address of the wallet
-
-
-
balanceobjectBalance of the address. In case of Eth and Celo, if returnBalancesForToken is passed with includeBalances, then it will return token balance in the address object. This field will be present only whenincludeBalancesquery param is passed as true.balance object
-
updatedstring date-timeThe last time a transaction affected the balance of this address -
balanceintegerThe cleared balance of the address -
balanceStringstringString representation ofbalance. Guaranteed to not lose precision. -
totalReceivedintegerThe total amount received on this address (in the chain's base unit) -
totalSentintegerThe total amount send from this address (in the chain's base unit) -
confirmedBalanceStringstringThe total balance of confirmed transactions for the address (in the chain's base unit). Guaranteed to not lose precision. -
spendableBalanceStringstringThe total balance of the address (in the chain's base unit) which may be used as inputs for creating new transactions in string representation. Guaranteed to not lose precision.
-
-
labelstring nullableA human-readable label for the address. -
addressTypestring enump2shp2shP2wshp2wshp2trp2trMusig2
-
-
feeintegerNetwork fee -
operationsarray of objectsoperations object
-
amountstringAmount in Lumens as string -
assetobjectasset object
-
codestring
-
-
destinationstring -
typestring enumpaymentcreateAccount
-
-
sequencestring -
sourcestring
-
-
feeInfoobjectfeeInfo object
-
sizeintegerEstimated size of the transaction in bytes -
feeintegerEstimated fee in base units for the transaction -
feeRatestring or integerCustom fee rate (in base units) per kilobyte (or virtual kilobyte). For example, satoshis per kvByte.
If the
feeRateis less than the minimum required network fee, then the minimum fee applies. For example, 1000 sat/kvByte, a flat 1000 microAlgos, or a flat 10 drops of xrp. For XRP, the actual fee is usually 4.5 times the open ledger fee.Note: The
feeRateoverrides themaxFeeRateandminFeeRate. -
payGoFeeintegerBitGo fee of the transaction (in base units) -
payGoFeeStringintegerBitGo fee of the transaction (in base units) represented as a String
-
-
-
isLastSignaturebooleanShould be set to true if you are signing the second time, attaching the final signature. Default to false. -
pubsarray of stringsPublic Keys (user, backup, bitgo) for the wallet (UTXO coins only)
Responses
200
OK
Response Body
object
-
txInfoobjectONE OF
-
txHexstringSerialized transaction hex
-
halfSignedobjecthalfSigned object
-
txBase64stringSerialized transaction base64 (applies to XLM only)
-
-